Pooled Staking
Prepare Withdrawal Transaction
Construct a serialized transaction to withdraw available ETH from the vault after the waiting period.
POST
/
api
/
v1
/
staking
/
pool
/
{network}
/
staking
/
withdraw
Prepare Withdrawal Transaction
curl --request POST \
--url https://api.p2p.org/api/api/v1/staking/pool/{network}/staking/withdraw \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"delegatorAddress": "0x338EF19fA2eC0fc4d1277B1307a613fA1FBbc0cb",
"vaultAddress": "0x338EF19fA2eC0fc4d1277B1307a613fA1FBbc0cb",
"tickets": [
"14550213999915345334",
"23001870415343779687"
]
}
'import requests
url = "https://api.p2p.org/api/api/v1/staking/pool/{network}/staking/withdraw"
payload = {
"delegatorAddress": "0x338EF19fA2eC0fc4d1277B1307a613fA1FBbc0cb",
"vaultAddress": "0x338EF19fA2eC0fc4d1277B1307a613fA1FBbc0cb",
"tickets": ["14550213999915345334", "23001870415343779687"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
delegatorAddress: '0x338EF19fA2eC0fc4d1277B1307a613fA1FBbc0cb',
vaultAddress: '0x338EF19fA2eC0fc4d1277B1307a613fA1FBbc0cb',
tickets: ['14550213999915345334', '23001870415343779687']
})
};
fetch('https://api.p2p.org/api/api/v1/staking/pool/{network}/staking/withdraw', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": null,
"result": {
"amount": 0.01,
"vaultAddress": "0xba447498dc4c169f2b4f427b2c4d532320457e89",
"delegatorAddress": "0x092Af80778ff3c3D27Fd2744C39f6e9326d9AaEe",
"unsignedTransaction": {
"serializeTx": "0x02f9011c82001384059682d78585059682f7008302bc6894ba447498dc4c169f2b4f427b2c4d532320457e89...",
"to": "0x4Dd92880f7EF2270b2B7dd67e1DfC27D752311d3",
"data": "<string>",
"value": "0",
"nonce": 15,
"chainId": 560048,
"gasLimit": "207957",
"maxFeePerGas": "3545182006",
"maxPriorityFeePerGas": "1500000000"
},
"createdAt": "2025-07-12T12:34:56.789Z",
"tickets": [
"14550213999915345334",
"23001870415343779687",
"23011815987815344974"
]
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Ethereum pool network:
- `mainnet` — Ethereum mainnet.
- `hoodi` — Ethereum testnet.
Available options:
mainnet, hoodi Body
application/json
Account address of the delegator initiated the staking transaction.
Pattern:
^0x[a-fA-F0-9]{40}$Example:
"0x338EF19fA2eC0fc4d1277B1307a613fA1FBbc0cb"
Ethereum address of the vault which keeps the tokens.
Pattern:
^0x[a-fA-F0-9]{40}$Example:
"0x338EF19fA2eC0fc4d1277B1307a613fA1FBbc0cb"
List of position tickets for unstaking.
Example:
[
"14550213999915345334",
"23001870415343779687"
]
Prepare Withdrawal Transaction
